felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Carlos Sanchez" <car...@apache.org>
Subject Maven 2 plugin and Require-Bundle
Date Tue, 03 Oct 2006 23:05:59 GMT

I've tried the felix maven 2 plugin to build an Eclipse plugin and saw
that there's no way to set the Require-Bundle from the dependencies.
I'm looking for the possibility of saying that some of the deps are
part of Require-Bundle and then don't include the jars in the result
osgi bundle, nor in the Bundle-Classpath.

Are my assumptions wrong? if not i'm gonna work on it and contribute
it back if it's of interest.


I could give you my word as a Spaniard.
No good. I've known too many Spaniards.
                             -- The Princess Bride

View raw message